# comment out when not pre-release
#define prel	beta

%define rel	1

Name:		kshutdown
Version:	4.0
Release:	%mkrel %{?prel:0.%prel.}%{rel}
Summary:	Advanced shut down utility for Plasma 5
Summary(fr):	KShutDown est un outils avancé de gestion de l'extinction
License:	GPLv2+
Group:		Graphical desktop/KDE
URL:		http://kshutdown.sourceforge.net/
Source0:	http://sourceforge.net/projects/%{name}/files/KShutdown/%{version}/%{name}-source-%{version}%{?prel}.zip
Patch0:		kshutdown-4.0-mga-desktop-file.patch

BuildRequires:	kf5-macros
BuildRequires:	cmake(KF5Auth)
BuildRequires:	cmake(KF5Codecs)
BuildRequires:	cmake(KF5Config)
BuildRequires:	cmake(KF5ConfigWidgets)
BuildRequires:	cmake(KF5DBusAddons)
BuildRequires:	cmake(KF5GlobalAccel)
BuildRequires:	cmake(KF5IconThemes)
BuildRequires:	cmake(KF5I18n)
BuildRequires:	cmake(KF5IdleTime)
BuildRequires:	cmake(KF5Notifications)
BuildRequires:	cmake(KF5NotifyConfig)
BuildRequires:	cmake(KF5WidgetsAddons)
BuildRequires:	cmake(KF5XmlGui)
BuildRequires:	qttools5
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Widgets) 
BuildRequires:	pkgconfig(Qt5Xml)

%description
KShutDown is an advanced shut down utility for Plasma 5.

Features:
- Shut Down (logout and halt the system)
- Reboot (logout and reboot the system)
- Lock Screen (lock the screen using a screen saver)
- Logout (end the session and logout the user)
- Extras (user commands)
- Wizard
- Time and delay options
- Command line support
- System tray
- Sounds
- Kiosk support
- And more...

%files -f %{name}.lang
%doc TODO ChangeLog README.html
%{_kf5_bindir}/%{name}
%{_kf5_datadir}/%{name}/
%{_kf5_knotificationsdir}/%{name}.notifyrc
%{_kf5_applicationsdir}/%{name}.desktop
%{_kf5_iconsdir}/hicolor/*/*/%{name}.*

#------------------------------------------------------------------------------

%prep
%setup -q -n %{name}-%{version}%{?prel}
%autopatch -p1

%build
%cmake_kf5 -DKS_KF5=true
%make_build

%install
%make_install -C build

%find_lang %{name} --with-html


%changelog
* Thu Sep 01 2016 daviddavid <daviddavid> 4.0-1.mga6
+ Revision: 1049714
- new version: 4.0 (final)
- rename and rediff mga-desktop-file patch

* Mon May 02 2016 daviddavid <daviddavid> 3.99.1-0.beta.1.mga6
+ Revision: 1008509
- new version: 3.99.1_beta

* Fri Feb 12 2016 daviddavid <daviddavid> 3.99-0.beta.1.mga6
+ Revision: 958627
- new version: 3.99_beta based on KF5
- switch build to Qt5/kf5
- improve description and summary
- add patch0 to fix desktop file

* Thu Feb 04 2016 umeabot <umeabot> 3.2-4.mga6
+ Revision: 936163
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.2-3.mga5
+ Revision: 745720
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.2-2.mga5
+ Revision: 681212
- Mageia 5 Mass Rebuild

* Mon Sep 01 2014 juancho <juancho> 3.2-1.mga5
+ Revision: 670311
- Updated to version 3.2

* Sat Oct 19 2013 umeabot <umeabot> 3.0-2.mga5
+ Revision: 529544
- Mageia 4 Mass Rebuild

* Wed Jul 10 2013 fwang <fwang> 3.0-1.mga4
+ Revision: 452428
- new version 3.0 final

* Mon Jun 17 2013 fwang <fwang> 3.0-0.beta8.1.mga4
+ Revision: 444022
- new version 3.0 beta8

* Sat Jan 12 2013 umeabot <umeabot> 3.0-0.beta4.2.mga3
+ Revision: 356490
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 16 2012 juancho <juancho> 3.0-0.beta4.1.mga3
+ Revision: 318402
- Updated to 3.0beta4

* Fri Mar 02 2012 fwang <fwang> 3.0-0.beta3.1.mga2
+ Revision: 216739
- drop merged patch
- new version 3.0 beta3

* Sat Dec 31 2011 juancho <juancho> 3.0-0.beta2.1.mga2
+ Revision: 189164
- Updated to 3.0beta2

* Tue Dec 13 2011 juancho <juancho> 2.0-2.mga2
+ Revision: 181346
- Added patch to fix build against our patched kworkspace.{h,cpp} that changes the return type of requestShutDown function (patch included on upcoming KDE 4.8).
- Fixed source tag (Source -> Source0)
- Removed defattr
- Remove buildroot references in %%build and %%clean

* Tue Jun 14 2011 mikala <mikala> 2.0-1.mga2
+ Revision: 106086
- Follow kde spec layout
- clean spec
- imported package kshutdown

